[search-guard group] Install Search Guard without Internet Connection

Look here

http://search.maven.org/#search|ga|1|a%3A"search-guard-ssl"
http://search.maven.org/#search|ga|1|a%3A"search-guard-2"

and download the "zip" file

Direct link for the most recent versions for ES 2.3.3:
http://search.maven.org/remotecontent?filepath=com/floragunn/search-guard-ssl/2.3.3.13/search-guard-ssl-2.3.3.13.zip
http://search.maven.org/remotecontent?filepath=com/floragunn/search-guard-2/2.3.3.2/search-guard-2-2.3.3.2.zip

Install it with
"bin/plugin install -b file:///path/to/search-guard-ssl-2.3.3.13.zip"
"bin/plugin install -b file:///path/to/search-guard-2-2.3.3.2.zip"

Will will add this also to the documentation

···

Am 05.07.2016 um 14:40 schrieb 'Axel Knöfel' via Search Guard <search-guard@googlegroups.com>:

Hi,

I decided to try the Search Guard Plugin on my ELK-Stack.
Unfortunately, my Server (RHEL 6) is not allowed to access the Internet, so I can't download and install the search-guard-2 plugin and the search-guard-ssl plugin via bin/plugin install -b com.floragunn/search-guard-2/2.3.3.2 and bin/plugin install -b com.floragunn/search-guard-ssl/2.3.3.13 as described in the installation manual.

Could you please tell me how to download and install Search Guard manually?

Thank You

--
You received this message because you are subscribed to the Google Groups "Search Guard" group.
To unsubscribe from this group and stop receiving emails from it, send an email to search-guard+unsubscribe@googlegroups.com.
To post to this group, send email to search-guard@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/search-guard/a9d0a90f-3c98-4caa-a3ad-8e243bf9d9d7%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

do you use elasticsearch 5 ?

···

Am 06.07.2016 um 08:14 schrieb 'Axel Knöfel' via Search Guard <search-guard@googlegroups.com>:

Hi,

thank you for the response, but I can't install it this way neither.
I get the following error message because I have no internet connection:
Unable to download data from https://rubygems.org - Errno::ECONNREFUSED: Connection refused - Connection refused (https://api.rubygems.org/latest_specs.4.8.gz)
ERROR: Installation aborted, verification failed for ../../root/search-guard-ssl-5.0.0-alpha3-10a.zip

--
You received this message because you are subscribed to the Google Groups "Search Guard" group.
To unsubscribe from this group and stop receiving emails from it, send an email to search-guard+unsubscribe@googlegroups.com.
To post to this group, send email to search-guard@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/search-guard/e36cd0ac-0072-482e-ba0d-900d1cc2e4c4%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

no, but you have to download the correct versions:

http://search.maven.org/remotecontent?filepath=com/floragunn/search-guard-ssl/2.3.3.13/search-guard-ssl-2.3.3.13.zip
http://search.maven.org/remotecontent?filepath=com/floragunn/search-guard-2/2.3.3.2/search-guard-2-2.3.3.2.zip

···

Am 06.07.2016 um 09:38 schrieb 'Axel Knöfel' via Search Guard <search-guard@googlegroups.com>:

No, I use Elasticsearch 2.3.3.

Do I have to update to ES 5 for using Search Guard?

--
You received this message because you are subscribed to the Google Groups "Search Guard" group.
To unsubscribe from this group and stop receiving emails from it, send an email to search-guard+unsubscribe@googlegroups.com.
To post to this group, send email to search-guard@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/search-guard/ee46da49-920e-4b3a-8da5-c85e21f75c5b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.